Name:           libpam4j
Version:        1.8
Release:        4%{?dist}
Summary:        Java binding for libpam.so

# License is specified in pom file
License:        MIT
URL:            https://github.com/kohsuke/libpam4j
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-%{version}.tar.gz
# License text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.java.dev.jna:jna)
BuildRequires:  mvn(org.kohsuke:pom)

BuildArch:      noarch

%description
This package provides Java binding for libpam library.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

cp %{SOURCE1} LICENSE

# this test works locally, but fails in koji from unknown reason
# TODO: investigate & fix it
rm src/test/java/org/jvnet/libpam/UnixUserTest.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README.md LICENSE
%files javadoc -f .mfiles-javadoc
%doc README.md LICENSE

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.8-3
- Use Requires: java-headless rebuild (#1067528)

* Tue Feb 18 2014 Michal Srb <msrb@redhat.com> - 1.8-2
- Disable koji-failing tests for now

* Tue Feb 18 2014 Michal Srb <msrb@redhat.com> - 1.8-1
- Update to upstream version 1.8

* Tue Oct 29 2013 Michal Srb <msrb@redhat.com> - 1.7-3
- Fix directory ownership

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 09 2013 Michal Srb <msrb@redhat.com> - 1.7-1
- Initial package

